/**
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.apache.aurora.scheduler.storage.durability;

import javax.inject.Singleton;

import com.google.inject.PrivateModule;

import org.apache.aurora.scheduler.storage.CallOrderEnforcingStorage;
import org.apache.aurora.scheduler.storage.Storage;
import org.apache.aurora.scheduler.storage.Storage.NonVolatileStorage;

/**
 * Binding module for a durable storage layer.
 */
public class DurableStorageModule extends PrivateModule {
  @Override
  protected void configure() {
    install(CallOrderEnforcingStorage.wrappingModule(DurableStorage.class));
    bind(DurableStorage.class).in(Singleton.class);
    expose(Storage.class);
    expose(NonVolatileStorage.class);
  }
}
